wxWidgets: /home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/treebase.h File Reference

| Version: 3.0.5

Classes | Macros | Enumerations | Functions | Variables
treebase.h File Reference

## Classes
class | wxTreeItemId
| An opaque reference to a tree item. More...
class | wxTreeItemData
| wxTreeItemData is some (arbitrary) user class associated with some item. More...

## Macros
#define | wxTR_NO_BUTTONS 0x0000
#define | wxTR_HAS_BUTTONS 0x0001
#define | wxTR_NO_LINES 0x0004
#define | wxTR_LINES_AT_ROOT 0x0008
#define | wxTR_TWIST_BUTTONS 0x0010
#define | wxTR_SINGLE 0x0000
#define | wxTR_MULTIPLE 0x0020
#define | wxTR_HAS_VARIABLE_ROW_HEIGHT 0x0080
#define | wxTR_EDIT_LABELS 0x0200
#define | wxTR_ROW_LINES 0x0400
#define | wxTR_HIDE_ROOT 0x0800
#define | wxTR_FULL_ROW_HIGHLIGHT 0x2000
#define | wxTR_DEFAULT_STYLE (wxTR_HAS_BUTTONS | wxTR_LINES_AT_ROOT)

## Enumerations
enum | wxTreeItemIcon { wxTreeItemIcon_Normal, wxTreeItemIcon_Selected, wxTreeItemIcon_Expanded, wxTreeItemIcon_SelectedExpanded, wxTreeItemIcon_Max }
| Indicates which type to associate an image with a wxTreeCtrl item. More...

## Functions
bool | operator== (const wxTreeItemId &left, const wxTreeItemId &right)
bool | operator!= (const wxTreeItemId &left, const wxTreeItemId &right)

## Variables
static const int | wxTREE_ITEMSTATE_NONE = -1
| special values for the 'state' parameter of wxTreeCtrl::SetItemState() More...
static const int | wxTREE_ITEMSTATE_NEXT = -2
static const int | wxTREE_ITEMSTATE_PREV = -3
static const int | wxTREE_HITTEST_ABOVE = 0x0001
static const int | wxTREE_HITTEST_BELOW = 0x0002
static const int | wxTREE_HITTEST_NOWHERE = 0x0004
static const int | wxTREE_HITTEST_ONITEMBUTTON = 0x0008
static const int | wxTREE_HITTEST_ONITEMICON = 0x0010
static const int | wxTREE_HITTEST_ONITEMINDENT = 0x0020
static const int | wxTREE_HITTEST_ONITEMLABEL = 0x0040
static const int | wxTREE_HITTEST_ONITEMRIGHT = 0x0080
static const int | wxTREE_HITTEST_ONITEMSTATEICON = 0x0100
static const int | wxTREE_HITTEST_TOLEFT = 0x0200
static const int | wxTREE_HITTEST_TORIGHT = 0x0400
static const int | wxTREE_HITTEST_ONITEMUPPERPART = 0x0800
static const int | wxTREE_HITTEST_ONITEMLOWERPART = 0x1000
static const int | wxTREE_HITTEST_ONITEM

## Macro Definition Documentation

## ◆ wxTR_DEFAULT_STYLE

#define wxTR_DEFAULT_STYLE (wxTR_HAS_BUTTONS | wxTR_LINES_AT_ROOT)

## ◆ wxTR_EDIT_LABELS

#define wxTR_EDIT_LABELS 0x0200

## ◆ wxTR_FULL_ROW_HIGHLIGHT

#define wxTR_FULL_ROW_HIGHLIGHT 0x2000

## ◆ wxTR_HAS_BUTTONS

#define wxTR_HAS_BUTTONS 0x0001

## ◆ wxTR_HAS_VARIABLE_ROW_HEIGHT

#define wxTR_HAS_VARIABLE_ROW_HEIGHT 0x0080

## ◆ wxTR_HIDE_ROOT

#define wxTR_HIDE_ROOT 0x0800

## ◆ wxTR_LINES_AT_ROOT

#define wxTR_LINES_AT_ROOT 0x0008

## ◆ wxTR_MULTIPLE

#define wxTR_MULTIPLE 0x0020

## ◆ wxTR_NO_BUTTONS

#define wxTR_NO_BUTTONS 0x0000

## ◆ wxTR_NO_LINES

#define wxTR_NO_LINES 0x0004

## ◆ wxTR_ROW_LINES

#define wxTR_ROW_LINES 0x0400

## ◆ wxTR_SINGLE

#define wxTR_SINGLE 0x0000

## ◆ wxTR_TWIST_BUTTONS

#define wxTR_TWIST_BUTTONS 0x0010

## Enumeration Type Documentation

## ◆ wxTreeItemIcon

enum wxTreeItemIcon

Indicates which type to associate an image with a wxTreeCtrl item.

See also
  wxTreeCtrl::GetItemImage(), wxTreeCtrl::SetItemImage()

Enumerator
wxTreeItemIcon_Normal | To get/set the item image for when the item is not selected and not expanded.
wxTreeItemIcon_Selected | To get/set the item image for when the item is selected and not expanded.
wxTreeItemIcon_Expanded | To get/set the item image for when the item is not selected and expanded.
wxTreeItemIcon_SelectedExpanded | To get/set the item image for when the item is selected and expanded.
wxTreeItemIcon_Max |

## Function Documentation

## ◆ operator!=()

bool operator!= | ( | const wxTreeItemId & | left,
|  | const wxTreeItemId & | right
| ) |  |

## ◆ operator==()

bool operator== | ( | const wxTreeItemId & | left,
|  | const wxTreeItemId & | right
| ) |  |

## Variable Documentation

## ◆ wxTREE_HITTEST_ABOVE

const int wxTREE_HITTEST_ABOVE = 0x0001
| static

## ◆ wxTREE_HITTEST_BELOW

const int wxTREE_HITTEST_BELOW = 0x0002
| static

## ◆ wxTREE_HITTEST_NOWHERE

const int wxTREE_HITTEST_NOWHERE = 0x0004
| static

## ◆ wxTREE_HITTEST_ONITEM

const int wxTREE_HITTEST_ONITEM
| static

Initial value:
= wxTREE_HITTEST_ONITEMICON |
wxTREE_HITTEST_ONITEMLABEL

## ◆ wxTREE_HITTEST_ONITEMBUTTON

const int wxTREE_HITTEST_ONITEMBUTTON = 0x0008
| static

## ◆ wxTREE_HITTEST_ONITEMICON

const int wxTREE_HITTEST_ONITEMICON = 0x0010
| static

## ◆ wxTREE_HITTEST_ONITEMINDENT

const int wxTREE_HITTEST_ONITEMINDENT = 0x0020
| static

## ◆ wxTREE_HITTEST_ONITEMLABEL

const int wxTREE_HITTEST_ONITEMLABEL = 0x0040
| static

## ◆ wxTREE_HITTEST_ONITEMLOWERPART

const int wxTREE_HITTEST_ONITEMLOWERPART = 0x1000
| static

## ◆ wxTREE_HITTEST_ONITEMRIGHT

const int wxTREE_HITTEST_ONITEMRIGHT = 0x0080
| static

## ◆ wxTREE_HITTEST_ONITEMSTATEICON

const int wxTREE_HITTEST_ONITEMSTATEICON = 0x0100
| static

## ◆ wxTREE_HITTEST_ONITEMUPPERPART

const int wxTREE_HITTEST_ONITEMUPPERPART = 0x0800
| static

## ◆ wxTREE_HITTEST_TOLEFT

const int wxTREE_HITTEST_TOLEFT = 0x0200
| static

## ◆ wxTREE_HITTEST_TORIGHT

const int wxTREE_HITTEST_TORIGHT = 0x0400
| static

## ◆ wxTREE_ITEMSTATE_NEXT

const int wxTREE_ITEMSTATE_NEXT = -2
| static

## ◆ wxTREE_ITEMSTATE_NONE

const int wxTREE_ITEMSTATE_NONE = -1
| static

special values for the 'state' parameter of wxTreeCtrl::SetItemState()

## ◆ wxTREE_ITEMSTATE_PREV

const int wxTREE_ITEMSTATE_PREV = -3
| static

wxTREE_HITTEST_ONITEMICON
static const int wxTREE_HITTEST_ONITEMICON
Definition: treebase.h:167
wxTREE_HITTEST_ONITEMLABEL
static const int wxTREE_HITTEST_ONITEMLABEL
Definition: treebase.h:171